"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const web3_js_1 = require("@solana/web3.js");
const bn_js_1 = __importDefault(require("bn.js"));
const client_1 = require("../../src/client");
const utils_1 = require("../../src/utils");
async function main() {
    const client = client_1.MangoClient.connectDefault(process.env.MB_CLUSTER_URL);
    const group = await client.getGroup(new web3_js_1.PublicKey('78b8f4cGCwmZ9ysPFMWLaLTkkaYnUjwMJYStWe5RTSSX'));
    const accounts = await client.getAllMangoAccounts(group, true);
    accounts.sort((a, b) => (0, utils_1.toUiDecimalsForQuote)(b.getEquity(group)) -
        (0, utils_1.toUiDecimalsForQuote)(a.getEquity(group)));
    accounts.filter((a) => {
        Array.from(a.serum3OosMapByMarketIndex.values()).forEach((oo) => {
            if (oo.orders.filter((o) => !o.eq(new bn_js_1.default(0))).length > 0)
                console.log(`https://app.mango.markets/?address=${a.publicKey} ${(0, utils_1.toUiDecimalsForQuote)(a.getEquity(group)).toLocaleString()} ${oo.orders.filter((o) => !o.eq(new bn_js_1.default(0))).length}`);
        });
    });
}
main();
